Summary: KDE Frameworks 5 Tier 3 integration module for global shortcuts
Name:    kf5-kglobalaccel
Version: 5.110.0
%global  majmin %majmin_ver_kf5
%global  stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/kglobalaccel
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kglobalaccel-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros, kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kcrash-devel >= %{majmin}
BuildRequires:  kf5-kdbusaddons-devel >= %{majmin}, kf5-kwindowsystem-devel >= %{majmin}, kf5-kwindowsystem-devel >= %{majmin}
BuildRequires:  systemd
BuildRequires:  qt5-qtbase-devel, qt5-linguist, qt5-qtx11extras-devel
BuildRequires:  libX11-devel, libxcb-devel, xcb-util-keysyms-devel

Requires:       %{name}-libs = %{version}-%{release}


%description
%{summary}.

%package        libs
Summary:        Runtime libraries for %{name}
Requires:       %{name} = %{version}-%{release}

%description    libs
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n kglobalaccel-%{version}


%build
%cmake_kf5
%cmake_build


%install
%cmake_install


%find_lang_kf5 kglobalaccel5_qt


%files -f kglobalaccel5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/kglobalaccel5
%{_kf5_datadir}/qlogging-categories5/kglobalaccel*
%{_kf5_datadir}/kservices5/kglobalaccel5.desktop
%{_datadir}/dbus-1/services/org.kde.kglobalaccel.service
%{_userunitdir}/plasma-kglobalaccel.service

%files libs
%{_kf5_libdir}/libKF5GlobalAccel.so.*
%{_kf5_libdir}/libKF5GlobalAccelPrivate.so.*
%{_kf5_qtplugindir}/org.kde.kglobalaccel5.platforms/

%files devel
%{_kf5_libdir}/libKF5GlobalAccel.so
%{_kf5_libdir}/cmake/KF5GlobalAccel/
%{_kf5_includedir}/KGlobalAccel/
%{_kf5_archdatadir}/mkspecs/modules/qt_KGlobalAccel.pri
%{_kf5_datadir}/dbus-1/interfaces/*


%changelog
* Mon Nov 20 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init